ClarisDrawStyleManagerInternal::State Struct Reference

Internal: the state of a ClarisDrawStyleManager. More...

## Public Member Functions

| State ()
| constructor
void | initBWPatterns ()
| init the black and white patterns list
void | initColors ()
| init the colors list
void | initDashs ()
| init the dashs list
void | initGradients ()
| init the gradient list

## Public Attributes

MWAWVec2f | m_documentSize
| the document size (in point)
int | m_numStyleZones [6]
| the number of zones
int | m_numColors
| the number of color
int | m_numBWPatterns
| the number of BW pattern
int | m_numGradients
| the number of gradient
std::vector< MWAWColor > | m_colorList
| the color list
std::vector< std::vector< float > > | m_dashList
| the list of dash
std::vector< MWAWFont > | m_fontList
| the list of font
std::vector< MWAWParagraph > | m_paragraphList
| the list of paragraph
std::vector< MWAWGraphicStyle::Pattern > | m_BWPatternList
| the patterns list
std::vector< Gradient > | m_gradientList
| the gradient list

## Detailed Description

Internal: the state of a ClarisDrawStyleManager.

## Constructor & Destructor Documentation

## State()

ClarisDrawStyleManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## initBWPatterns()

void ClarisDrawStyleManagerInternal::State::initBWPatterns | ( |  | ) |

init the black and white patterns list

## initColors()

void ClarisDrawStyleManagerInternal::State::initColors | ( |  | ) |

init the colors list

## initDashs()

void ClarisDrawStyleManagerInternal::State::initDashs | ( |  | ) |

init the dashs list

## initGradients()

void ClarisDrawStyleManagerInternal::State::initGradients | ( |  | ) |

init the gradient list

## Member Data Documentation

## m_BWPatternList

std::vector<MWAWGraphicStyle::Pattern> ClarisDrawStyleManagerInternal::State::m_BWPatternList

the patterns list

Referenced by initBWPatterns(), and State().

## m_colorList

std::vector<MWAWColor> ClarisDrawStyleManagerInternal::State::m_colorList

the color list

Referenced by initColors(), and State().

## m_dashList

std::vector< std::vector<float> > ClarisDrawStyleManagerInternal::State::m_dashList

the list of dash

Referenced by initDashs(), and State().

## m_documentSize

MWAWVec2f ClarisDrawStyleManagerInternal::State::m_documentSize

the document size (in point)

Referenced by State().

## m_fontList

std::vector<MWAWFont> ClarisDrawStyleManagerInternal::State::m_fontList

the list of font

Referenced by State().

## m_gradientList

std::vector<Gradient> ClarisDrawStyleManagerInternal::State::m_gradientList

the gradient list

Referenced by initGradients(), and State().

## m_numBWPatterns

int ClarisDrawStyleManagerInternal::State::m_numBWPatterns

the number of BW pattern

Referenced by State().

## m_numColors

int ClarisDrawStyleManagerInternal::State::m_numColors

the number of color

Referenced by initColors(), and State().

## m_numGradients

int ClarisDrawStyleManagerInternal::State::m_numGradients

the number of gradient

Referenced by initGradients(), and State().

## m_numStyleZones

int ClarisDrawStyleManagerInternal::State::m_numStyleZones[6]

the number of zones

Referenced by State().

## m_paragraphList

std::vector<MWAWParagraph> ClarisDrawStyleManagerInternal::State::m_paragraphList

the list of paragraph

Referenced by State().

The documentation for this struct was generated from the following file:

- ClarisDrawStyleManager.cxx